All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider
Class ActionSupportFilter

    com.sas.actionprovider.ActionSupportFilter

All Implemented Interfaces:
  BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, java.lang.Cloneable, java.rmi.Remote

Direct Known Subclasses:
  TableViewActionSupportFilter

    public class ActionSupportFilter

An ActionSupportFilter encapsulates all the information needed by the ActionProvider Framework ( APF ) from the requesting component to carry out a single query for Actions.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.0
See Also:
  `BaseActionProvider.getActions(com.sas.actionprovider.ActionSupportFilter)`

Constructor Summary
`ActionSupportFilter()` Default constructor.
`ActionSupportFilter(java.lang.String supportType, java.lang.String areaType, ActionProviderViewInterface viewer)` Three argument constructor.
`ActionSupportFilter(java.lang.String supportType, java.lang.String areaType, ActionProviderViewInterface viewer, boolean swing)` Four argument constructor.

Method Summary
`int` | `getActionIndex()` Returns the index that identifies which version of multiple Actions of the same actionType is being requested at the support class level.
`java.lang.String` | `getActionSupportType()` Returns the support class type which is a key map to a particular instance of a support class on an ActionProvider.
`java.lang.String` | `getAreaType()` Returns the areaType as defined by the support class to which the viewer is requesting actions.
`int` | `getListIndex()` Returns the index that identifies which version of multiple ActionLists of the same actionType is being requested at the support class level.
`java.util.Locale` | `getLocale()` Returns the Locale object used in setting action attributes whose values are determined dynamically.
`ActionProviderViewInterface` | `getViewer()` Returns the component requesting the actions
`void` | `setActionIndex(int index)` Sets the index that identifies which version of multiple Actions of the same actionType is being requested at the support class level.
`void` | `setActionSupportType(java.lang.String supportType)` Sets the support class type which is a key map to a particular instance of a support class on an ActionProvider.
`void` | `setAreaType(java.lang.String areaType)` Sets the areaType, as defined by the support class, for which the viewer is requesting actions.
`void` | `setListIndex(int index)` Sets the index that identifies which version of multiple ActionLists of the same actionType is being requested at the support class level.
`void` | `setLocale(java.util.Locale locale)` Sets the Locale object to be used in setting action attributes whose values are determined dynamically.
`void` | `setViewer(ActionProviderViewInterface viewer)` Sets the current viewer requesting the actions

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Constructor Detail

### ActionSupportFilter

    public ActionSupportFilter()

  Default constructor.

### ActionSupportFilter

    public ActionSupportFilter(java.lang.String supportType,
                               java.lang.String areaType,
                               ActionProviderViewInterface viewer)

  Three argument constructor.

  Parameters:
    `supportType` - a key that maps to a support class.
    `areaType` - a key that maps to a general area defined by the support class.
  See Also:
    `SwingActionProvider`, `HttpActionProvider`, `ActionProviderSupportTypes`

### ActionSupportFilter

    public ActionSupportFilter(java.lang.String supportType,
                               java.lang.String areaType,
                               ActionProviderViewInterface viewer,
                               boolean swing)

  Four argument constructor.

  Parameters:
    `supportType` - a key that maps to a support class.
    `areaType` - a key that maps to a general area defined by the support class.
    `viewer` - the viewer that will make the getActions() call on an ActionProvider with this ActionSupportFilter as an argument.
    `swing` - true if the component creating this filter is a swing component
  See Also:
    `SwingActionProvider`, `HttpActionProvider`, `ActionProviderSupportTypes`

Method Detail

### setActionSupportType

    public void setActionSupportType(java.lang.String supportType)

  Sets the support class type which is a key map to a particular instance of a support class on an ActionProvider.

  Parameters:
    `supportType` - a key mapped to a particular support class.
  See Also:
    `getActionSupportType()`, `ActionProviderSupportTypes`

### setViewer

    public void setViewer(ActionProviderViewInterface viewer)

  Sets the current viewer requesting the actions

  Parameters:
    `viewer` - component requesting the actions
  See Also:
    `getViewer()`

### setAreaType

    public void setAreaType(java.lang.String areaType)

  Sets the areaType, as defined by the support class, for which the viewer is requesting actions.

  Parameters:
    `areaType` - the areaType key defined by the support class for which the viewer is requesting actions.
  See Also:
    `getAreaType()`

### setActionIndex

    public void setActionIndex(int index)

  Sets the index that identifies which version of multiple Actions of the same actionType is being requested at the support class level.

  Internal Use Only: This attribute is set by the BaseActionProviderSupport whenever the support class implements the DynamicActionCountInterface to indicate which version of the multiple same-actionType actions is being loaded.

  The values of this attribute range from 1 to the number returned by the support classe's getActionCount() method.

  Parameters:
    `index` - the index of the action that identifies which of multiple Actions of the same actionType that are returned for a particular area.
  See Also:
    `getActionIndex()`

### setListIndex

    public void setListIndex(int index)

  Sets the index that identifies which version of multiple ActionLists of the same actionType is being requested at the support class level.

  Internal Use Only: This attribute is set by the BaseActionProviderSupport whenever the support class implements the DynamicActionCountInterface to indicate which version of the multiple same-actionType ActionLists is being loaded.

  The values of this attribute range from 1 to the number returned by the support classe's getActionCount() method.

  Parameters:
    `index` - the index of the ActionList that identifies which of multiple ActionLists of the same actionType that are returned for a particular area.
  See Also:
    `getActionIndex()`, `ActionList`

### getActionSupportType

    public java.lang.String getActionSupportType()

  Returns the support class type which is a key map to a particular instance of a support class on an ActionProvider.

  Returns:
    a key mapped to a particular support class.
  See Also:
    `setActionSupportType(java.lang.String)`, `ActionProviderSupportTypes`

### getViewer

    public ActionProviderViewInterface getViewer()

  Returns the component requesting the actions

  Returns:
    the component requesting the actions
  See Also:
    `setViewer(com.sas.actionprovider.ActionProviderViewInterface)`

### getAreaType

    public java.lang.String getAreaType()

  Returns the areaType as defined by the support class to which the viewer is requesting actions.

  Returns:
    the the areaType key defined by the support class to which the viewer is requesting actions.
  See Also:
    `setAreaType(java.lang.String)`

### getActionIndex

    public int getActionIndex()

  Returns the index that identifies which version of multiple Actions of the same actionType is being requested at the support class level.

  This attribute is set by the BaseActionProviderSupport whenever the support class implements the DynamicActionCountInterface to indicate which version of the multiple same-actionType actions is being loaded.

  The values of this attribute range from 1 to the number returned by the support classe's getActionCount() method.

  Returns:
    the index of the action that identifies which of multiple Actions of the same actionType that are returned for a particular area.
  See Also:
    `setActionIndex(int)`

### getListIndex

    public int getListIndex()

  Returns the index that identifies which version of multiple ActionLists of the same actionType is being requested at the support class level.

  This attribute is set by the BaseActionProviderSupport whenever the support class implements the DynamicActionCountInterface to indicate which version of the multiple same-actionType ActionLists is being loaded.

  The values of this attribute range from 1 to the number returned by the support classe's getActionCount() method.

  Returns:
    the index of the ActionList that identifies which of multiple ActionLists of the same actionType that are returned for a particular area.
  See Also:
    `getActionIndex()`, `ActionList`

### getLocale

    public java.util.Locale getLocale()

  Returns the Locale object used in setting action attributes whose values are determined dynamically.

  See Also:
    `setLocale(java.util.Locale)`

### setLocale

    public void setLocale(java.util.Locale locale)

  Sets the Locale object to be used in setting action attributes whose values are determined dynamically.

  See Also:
    `getLocale()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.